import { Location } from "solidity-parser-antlr";
import { EventLog } from "web3-core";
import { BranchType, Coverage } from "./types";
export declare class ContractEnhanced {
    filepath: string;
    solcVersion: string;
    id: number;
    coverage: Coverage;
    coverageFilepath: string;
    originalSource: string;
    source: string;
    private ast;
    private functionsBodyLocation;
    constructor(filepath: string, solcVersion: string);
    instrument(): void;
    save(): void;
    updateCoverage(events: EventLog[]): void;
    addStatement(location: Location): number;
    addBranch(line: number, type: BranchType, locations: Location[]): number;
    addFunction(location: Location, name: string, bodyLocation: Location): number;
    private getNewCoverageId;
    private filterCoverageEvent;
    private findFnMapId;
    private findFnBranchIdAndLocationId;
    private isWithin;
    private getComparablePoint;
}
//# sourceMappingURL=contractEnhanced.d.ts.map